| GlsMap Toolkit 1.10.2

Public Member Functions | Protected Attributes | List of all members
disti::GlsMapSymbologyStdNameValuePair Class Reference

`#include <gls_map_symbology_standard_data_source.h>`

## Public Member Functions
const char * | GetName () const
const char * | GetValue () const
void | SetName (const char *)
void | SetValue (const char *)
GlsMapSymbologyStdNameValuePair & | operator= (const GlsMapSymbologyStdNameValuePair &o)
| GlsMapSymbologyStdNameValuePair (const GlsMapSymbologyStdNameValuePair &o)

## Protected Attributes
char * | _name
int | _nameBufSize
char * | _value
int | _valueBufSize

## Detailed Description

The GlsMapSymbology class is a Group that contains a collection of DisplayObjects that can be thought of as 'icon templates'. When drawing, the MapSymbologyLayer will query it's MapSymbologyDataSource for the list of visible icons and paths, then render them to the map using the icon templates. The MapSymbologyDataSource interface is simple, while still allowing the MapSymbologyDataSource the ability to override the appearance of icons and paths.

When a new GlsMapSymbology instance is first created, it will create it's own GlsMapSymbologyStdDataSource which provides an interface for the user to create/update icons and paths without having to write their own MapSymbologyDataSource class. While this class provides much of the common functionality that is needed, some users will still want to create their own MapSymbologyDataSource to provide the best performance when working with their own datasets. These users have the option of deriving from the BasicDataSource class (a template class which provides basic functionality) or deriving directly from MapSymbologyDataSource interface to optimize all of the MapSymbologyDataSource code for their data set. Resource storage class used by GlsMapSymbologyStdResourceList

The documentation for this class was generated from the following files:

- gls_map_symbology_standard_data_source.h
- gls_map_symbology_standard_data_source.cpp